unit UnitZastavka;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ComCtrls;

type
  TZastavka = class(TForm)
    Timer1: TTimer;
    Image1: TImage;
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Animate1Stop(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
  t:integer;
    { Public declarations }
  end;

var
  Zastavka: TZastavka;

implementation

uses Unit1;

{$R *.dfm}

procedure TZastavka.Timer1Timer(Sender: TObject);
begin

t:=t+1;
image1.Picture.LoadFromFile('Image1\'+inttostr(t)+'.bmp');

if t=156 then
begin
form1.Show;
Timer1.Enabled:=false;
Zastavka.Hide;
end;
end;

procedure TZastavka.FormShow(Sender: TObject);
begin
t:=0;
end;

procedure TZastavka.Animate1Stop(Sender: TObject);
begin
form1.Show;
Zastavka.Hide;
end;

procedure TZastavka.Image1Click(Sender: TObject);
begin
form1.Show;
Timer1.Enabled:=false;
Zastavka.Hide;
end;

end.
